Bug 1575792 - xrdp closes session upon login
Summary: xrdp closes session upon login
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xrdp
Version: 28
Hardware: x86_64
OS: Windows
unspecified
urgent
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 00:22 UTC by infove
Modified: 2019-05-28 20:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:23:29 UTC


Attachments (Terms of Use)
xrdp INI file (4.85 KB, text/plain)
2018-05-08 00:22 UTC, infove
no flags Details
sesman.ini (2.49 KB, text/plain)
2018-05-11 00:23 UTC, infove
no flags Details
startwm-bash.sh (46 bytes, application/x-shellscript)
2018-05-11 00:24 UTC, infove
no flags Details
startwm.sh (2.12 KB, application/x-shellscript)
2018-05-11 00:25 UTC, infove
no flags Details
xrdp INI file with Xvnc uncommented (4.84 KB, text/plain)
2018-05-17 23:55 UTC, infove
no flags Details
error screen (9.88 KB, image/png)
2018-05-18 01:18 UTC, infove
no flags Details

Description infove 2018-05-08 00:22:12 UTC
Created attachment 1432848 [details]
xrdp INI file

Description of problem: immediately after entering credentials in Windows RDP the grey screen flashes and closes.


Version-Release number of selected component (if applicable): xrdp 0.9.6


How reproducible: always


Steps to Reproduce:
1. Install xrdp
2. Connect from a Windows machine
3. Enter credentials

Actual results: window opens and immediately closes


Expected results: there should be a remote desktop open


Additional info:

xrdp.log

[20180503-21:06:35] [INFO ] Socket 12: AF_INET connection received from 10.10.10.2 port 11626
[20180503-21:06:35] [DEBUG] Closed socket 12 (AF_INET 10.10.10.3:3389)
[20180503-21:06:35] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:3389)
[20180503-21:06:35] [INFO ] Using default X.509 certificate: /etc/xrdp/cert.pem
[20180503-21:06:35] [INFO ] Using default X.509 key file: /etc/xrdp/key.pem
[20180503-21:06:35] [DEBUG] TLSv1.2 enabled
[20180503-21:06:35] [DEBUG] TLSv1.1 enabled
[20180503-21:06:35] [DEBUG] TLSv1 enabled
[20180503-21:06:35] [DEBUG] Security layer: requested 3, selected 1
[20180503-21:06:35] [DEBUG] Closed socket 12 (AF_INET 10.10.10.3:3389)
[20180503-21:06:35] [INFO ] Socket 12: AF_INET connection received from 10.10.10.2 port 11627
[20180503-21:06:35] [DEBUG] Closed socket 12 (AF_INET 10.10.10.3:3389)
[20180503-21:06:35] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:3389)
[20180503-21:06:35] [INFO ] Using default X.509 certificate: /etc/xrdp/cert.pem
[20180503-21:06:35] [INFO ] Using default X.509 key file: /etc/xrdp/key.pem
[20180503-21:06:35] [DEBUG] TLSv1.2 enabled
[20180503-21:06:35] [DEBUG] TLSv1.1 enabled
[20180503-21:06:35] [DEBUG] TLSv1 enabled
[20180503-21:06:35] [DEBUG] Security layer: requested 3, selected 1
[20180503-21:06:36] [INFO ] connected client computer name: WIN19
[20180503-21:06:36] [INFO ] TLS connection established from 10.10.10.2 port 11627: TLSv1 with cipher ECDHE-RSA-AES256-SHA
[20180503-21:06:36] [DEBUG] xrdp_0000159a_wm_login_mode_event_00000001
[20180503-21:06:36] [INFO ] Loading keymap file /etc/xrdp/km-00000409.ini
[20180503-21:06:36] [WARN ] local keymap file for 0x00000409 found and doesn't match built in keymap, using local keymap file
[20180503-21:06:43] [DEBUG] xrdp_wm_log_msg: connecting to sesman ip 127.0.0.1 port 3350
[20180503-21:06:44] [INFO ] xrdp_wm_log_msg: sesman connect ok
[20180503-21:06:44] [DEBUG] xrdp_wm_log_msg: sending login info to session manager, please wait...
[20180503-21:06:44] [DEBUG] return value from xrdp_mm_connect 0
[20180503-21:06:44] [INFO ] xrdp_wm_log_msg: login successful for display 10
[20180503-21:06:44] [DEBUG] xrdp_wm_log_msg: started connecting
[20180503-21:06:45] [INFO ] lib_mod_log_peer: xrdp_pid=5530 connected to X11rdp_pid=5533 X11rdp_uid=1000 X11rdp_gid=1000 client_ip=10.10.10.2 client_port=11627
[20180503-21:06:45] [DEBUG] xrdp_wm_log_msg: connected ok
[20180503-21:06:45] [DEBUG] xrdp_mm_connect_chansrv: chansrv connect successful
[20180503-21:06:45] [DEBUG] Closed socket 18 (AF_INET 127.0.0.1:54932)
[20180503-21:06:45] [INFO ] The following channel is allowed: rdpdr (0)
[20180503-21:06:45] [INFO ] The following channel is allowed: rdpsnd (1)
[20180503-21:06:45] [INFO ] The following channel is allowed: drdynvc (2)
[20180503-21:06:45] [INFO ] This channel is disabled: cliprdr
[20180503-21:06:45] [INFO ] The following channel is not allowed: cliprdr (3)
[20180503-21:06:45] [DEBUG] The allow channel list now initialized for this session
[20180503-21:06:46] [DEBUG] Closed socket 20 (AF_UNIX)
[20180503-21:06:46] [DEBUG] Closed socket 12 (AF_INET 10.10.10.3:3389)
[20180503-21:06:46] [DEBUG] xrdp_mm_module_cleanup
[20180503-21:06:46] [DEBUG] Closed socket 19 (AF_UNIX)

xrdp-sesman.log

[20180503-21:06:43] [INFO ] A connection received from 127.0.0.1 port 54932
[20180503-21:06:44] [INFO ] ++ created session (access granted): username use0, ip 10.10.10.2:11627 - socket: 12
[20180503-21:06:44] [INFO ] starting Xorg session...
[20180503-21:06:44] [DEBUG] Closed socket 12 (AF_INET 0.0.0.0:5910)
[20180503-21:06:44] [DEBUG] Closed socket 12 (AF_INET 0.0.0.0:6010)
[20180503-21:06:44] [DEBUG] Closed socket 12 (AF_INET 0.0.0.0:6210)
[20180503-21:06:44] [DEBUG] Closed socket 10 (AF_INET 127.0.0.1:3350)
[20180503-21:06:44] [INFO ] calling auth_start_session from pid 5531
[20180503-21:06:44] [DEBUG] Closed socket 9 (AF_INET 127.0.0.1:3350)
[20180503-21:06:44] [DEBUG] Closed socket 10 (AF_INET 127.0.0.1:3350)
[20180503-21:06:44] [INFO ] setpriv --no-new-privs Xorg :10 -auth .Xauthority -config xrdp/xorg.conf -noreset -nolisten tcp -logfile .xorgxrdp.%s.log  
[20180503-21:06:45] [CORE ] waiting for window manager (pid 5532) to exit
[20180503-21:06:45] [CORE ] window manager (pid 5532) did exit, cleaning up session
[20180503-21:06:45] [INFO ] calling auth_stop_session and auth_end from pid 5531
[20180503-21:06:45] [DEBUG] cleanup_sockets:
[20180503-21:06:45] [DEBUG] cleanup_sockets: deleting /tmp/.xrdp/xrdp_chansrv_audio_out_socket_10
[20180503-21:06:45] [DEBUG] cleanup_sockets: deleting /tmp/.xrdp/xrdp_chansrv_audio_in_socket_10
[20180503-21:06:45] [DEBUG] cleanup_sockets: deleting /tmp/.xrdp/xrdpapi_10
[20180503-21:06:46] [INFO ] ++ terminated session:  username use0, display :10.0, session_pid 5531, ip 10.10.10.2:11627 - socket: 12

Comment 1 infove 2018-05-08 00:29:38 UTC
This worked OOB in F19, where xrdp.ini was way-way shorter. Now there are tons more settings, but xrdp no longer works.

Comment 2 infove 2018-05-11 00:23:40 UTC
Created attachment 1434626 [details]
sesman.ini

Comment 3 infove 2018-05-11 00:24:41 UTC
Created attachment 1434627 [details]
startwm-bash.sh

Comment 4 infove 2018-05-11 00:25:06 UTC
Created attachment 1434628 [details]
startwm.sh

Comment 5 infove 2018-05-12 12:33:04 UTC
Can this complete showstopper bug gain some attention please?
Users of RDP from Windows to Fedora are completely dead in the water.

Comment 6 Bojan Smojver 2018-05-12 12:34:52 UTC
I use xrdp from windows to fedora without this problem. So, I'm guessing this is probably something specific to your environment.

Comment 7 infove 2018-05-12 15:47:46 UTC
"My environment" = fresh install of F26, dnf install xrdp.
So what is missing, specifically?

Comment 8 infove 2018-05-15 01:12:37 UTC
Any troubleshooting advise, please? Any more files or diagnostics I need to attached to move this forward?

Comment 9 Bojan Smojver 2018-05-15 01:19:57 UTC
Have you tried with an Xvnc session?

Comment 10 infove 2018-05-17 00:06:52 UTC
Before we go any further down this path, can you explain your role in this bug report?

Comment 11 Bojan Smojver 2018-05-17 00:46:29 UTC
(In reply to infove from comment #10)
> Before we go any further down this path, can you explain your role in this
> bug report?

I am one of the maintainers of xrdp package. Just list the changelog and you'll see me there.

But, of course, you don't have to do anything I suggest. Totally up to you how you want to debug this.

Comment 12 infove 2018-05-17 02:04:35 UTC
You seem to be irritated by the request to explain your role, but I have no time or interest in communicating with total strangers who might show up, waste my time, and vanish without leading to any progress. So making sure I knew who you were was the only reasonable approach, as apparently this bug was assigned to someone else. Should it be assigned to you instead?

Back to your original question: I have not tried a Xvnc session, as my users do not have software that supports VNC. They have very locked down Windows boxes where they are confined to RDP via mstsc.exe. Even if VNC worked, that would have no bearing on this bug report.

We have no issues accessing Fedora 26 machines via ssh through PuTTY, but RDP fails. From the same Windows host we can still access Fedora 19 machines.

Comment 13 Bojan Smojver 2018-05-17 02:11:07 UTC
(In reply to infove from comment #12)
 
> Back to your original question: I have not tried a Xvnc session, as my users
> do not have software that supports VNC.

I am suggesting that instead of picking an Xorg xrdp session, you try an Xvnc one (which should be default anyway). You logs show that you are using xorgxrdp there. Your users don't need to have software to support VNC to do this. All this is happening behind the scenes inside xrdp processes. Your users will still be seeing just RDP when connecting from Windows.

Comment 14 infove 2018-05-17 23:52:53 UTC
Uncommented Xvnc section of xrdp.ini, connected from mstsc.exe, this time it was different: the window with the Linux Mate desktop background stayed on, then in the left top corner appeared a log window, which had a few lines about VNC connecting to port 5190, and ended in "there is some error"

On the Linux side /var/log/xrdp.log is showing this:

[20180517-15:40:41] [INFO ] starting xrdp with pid 1342
[20180517-15:40:42] [INFO ] listening to port 3389 on 0.0.0.0
[20180517-19:45:38] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:3389)
[20180517-19:45:39] [INFO ] starting xrdp with pid 2481
[20180517-19:45:39] [INFO ] listening to port 3389 on 0.0.0.0
[20180517-19:46:01] [INFO ] Socket 12: AF_INET connection received from 10.10.10.2 port 9072
[20180517-19:46:01] [DEBUG] Closed socket 12 (AF_INET 10.10.10.3:3389)
[20180517-19:46:01] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:3389)
[20180517-19:46:01] [INFO ] Using default X.509 certificate: /etc/xrdp/cert.pem
[20180517-19:46:01] [INFO ] Using default X.509 key file: /etc/xrdp/key.pem
[20180517-19:46:01] [DEBUG] TLSv1.2 enabled
[20180517-19:46:01] [DEBUG] TLSv1.1 enabled
[20180517-19:46:01] [DEBUG] TLSv1 enabled
[20180517-19:46:01] [DEBUG] Security layer: requested 3, selected 1
[20180517-19:46:01] [DEBUG] Closed socket 12 (AF_INET 10.10.10.3:3389)
[20180517-19:46:01] [INFO ] Socket 12: AF_INET connection received from 10.10.10.2 port 9073
[20180517-19:46:01] [DEBUG] Closed socket 12 (AF_INET 10.10.10.3:3389)
[20180517-19:46:01] [DEBUG] Closed socket 11 (AF_INET 0.0.0.0:3389)
[20180517-19:46:01] [INFO ] Using default X.509 certificate: /etc/xrdp/cert.pem
[20180517-19:46:01] [INFO ] Using default X.509 key file: /etc/xrdp/key.pem
[20180517-19:46:01] [DEBUG] TLSv1.2 enabled
[20180517-19:46:01] [DEBUG] TLSv1.1 enabled
[20180517-19:46:01] [DEBUG] TLSv1 enabled
[20180517-19:46:01] [DEBUG] Security layer: requested 3, selected 1
[20180517-19:46:01] [INFO ] connected client computer name: WIN19
[20180517-19:46:01] [INFO ] TLS connection established from 10.10.10.2 port 9073: TLSv1 with cipher ECDHE-RSA-AES256-SHA
[20180517-19:46:02] [DEBUG] xrdp_000009ba_wm_login_mode_event_00000001
[20180517-19:46:02] [INFO ] Loading keymap file /etc/xrdp/km-00000409.ini
[20180517-19:46:02] [WARN ] local keymap file for 0x00000409 found and doesn't match built in keymap, using local keymap file
[20180517-19:46:07] [DEBUG] xrdp_wm_log_msg: connecting to sesman ip 127.0.0.1 port 3350
[20180517-19:46:08] [INFO ] xrdp_wm_log_msg: sesman connect ok
[20180517-19:46:08] [DEBUG] xrdp_wm_log_msg: sending login info to session manager, please wait...
[20180517-19:46:08] [DEBUG] return value from xrdp_mm_connect 0
[20180517-19:46:08] [INFO ] xrdp_wm_log_msg: login successful for display 10
[20180517-19:46:08] [DEBUG] xrdp_wm_log_msg: VNC started connecting
[20180517-19:46:08] [DEBUG] xrdp_wm_log_msg: Waiting 2000 ms for VNC to start...
[20180517-19:46:10] [DEBUG] xrdp_wm_log_msg: VNC connecting to 127.0.0.1 5910
[20180517-19:46:13] [DEBUG] VNC error 1 after security negotiation
[20180517-19:46:13] [DEBUG] VNC error before sending share flag
[20180517-19:46:13] [DEBUG] VNC error before receiving server init
[20180517-19:46:14] [DEBUG] VNC error before receiving pixel format
[20180517-19:46:14] [DEBUG] VNC error before receiving name length
[20180517-19:46:14] [DEBUG] VNC error before receiving name
[20180517-19:46:14] [DEBUG] xrdp_wm_log_msg: VNC error - problem connecting
[20180517-19:46:14] [DEBUG] Closed socket 19 (AF_INET 0.0.0.0:39822)
[20180517-19:46:14] [DEBUG] xrdp_wm_log_msg: some problem
[20180517-19:46:14] [DEBUG] xrdp_mm_module_cleanup
[20180517-19:46:14] [DEBUG] VNC mod_exit
[20180517-19:46:14] [DEBUG] Closed socket 18 (AF_INET 127.0.0.1:48322)
[20180517-19:46:31] [DEBUG] Closed socket 12 (AF_INET 10.10.10.3:3389)
[20180517-19:46:31] [DEBUG] xrdp_mm_module_cleanup

/var/log/xrdp-sesman.log is showing:

[20180517-15:40:41] [DEBUG] libscp initialized
[20180517-15:40:42] [INFO ] starting xrdp-sesman with pid 1341
[20180517-15:40:42] [INFO ] listening to port 3350 on 127.0.0.1
[20180517-19:45:39] [INFO ] shutting down sesman 1
[20180517-19:45:39] [DEBUG] Closed socket 9 (AF_INET 127.0.0.1:3350)
[20180517-19:45:39] [DEBUG] libscp initialized
[20180517-19:45:39] [INFO ] starting xrdp-sesman with pid 2480
[20180517-19:45:39] [INFO ] listening to port 3350 on 127.0.0.1
[20180517-19:46:07] [INFO ] A connection received from 127.0.0.1 port 48322
[20180517-19:46:08] [INFO ] ++ created session (access granted): username use0, ip 10.10.10.2:9073 - socket: 12
[20180517-19:46:08] [INFO ] starting Xvnc session...
[20180517-19:46:08] [DEBUG] Closed socket 12 (AF_INET 0.0.0.0:5910)
[20180517-19:46:08] [DEBUG] Closed socket 12 (AF_INET 0.0.0.0:6010)
[20180517-19:46:08] [DEBUG] Closed socket 12 (AF_INET 0.0.0.0:6210)
[20180517-19:46:08] [DEBUG] Closed socket 10 (AF_INET 127.0.0.1:3350)
[20180517-19:46:08] [INFO ] calling auth_start_session from pid 2491
[20180517-19:46:08] [DEBUG] Closed socket 9 (AF_INET 127.0.0.1:3350)
[20180517-19:46:08] [DEBUG] Closed socket 10 (AF_INET 127.0.0.1:3350)
[20180517-19:46:08] [INFO ] Xvnc :10 -auth .Xauthority -geometry 1920x1080 -depth 24 -rfbauth /home/use0/.vnc/sesman_passwd-use0@localhost.localdomain:10 -bs -nolisten tcp -localhost -dpi 96  
[20180517-19:46:09] [CORE ] waiting for window manager (pid 2492) to exit
[20180517-19:46:10] [CORE ] window manager (pid 2492) did exit, cleaning up session
[20180517-19:46:10] [INFO ] calling auth_stop_session and auth_end from pid 2491
[20180517-19:46:10] [DEBUG] cleanup_sockets:
[20180517-19:46:10] [DEBUG] cleanup_sockets: deleting /tmp/.xrdp/xrdp_chansrv_socket_10
[20180517-19:46:10] [DEBUG] cleanup_sockets: deleting /tmp/.xrdp/xrdpapi_10
[20180517-19:46:10] [DEBUG] cleanup_sockets: failed to delete /tmp/.xrdp/xrdpapi_10
[20180517-19:46:10] [INFO ] ++ terminated session:  username use0, display :10.0, session_pid 2491, ip 10.10.10.2:9073 - socket: 12

Comment 15 infove 2018-05-17 23:55:54 UTC
Created attachment 1438215 [details]
xrdp INI file with Xvnc uncommented

Updated xrdp.ini attached

Comment 16 Bojan Smojver 2018-05-18 00:26:43 UTC
If you're getting "some error" message, this usually means that the session didn't have enough time to initiate. Try increasing the timeout (the name of the parameter escapes me now, but it should be in one of the ini files). Also, usually logging in again with the same user account works around that (at least for me).

Comment 17 infove 2018-05-18 01:18:08 UTC
Created attachment 1438245 [details]
error screen

I get the attached screen no matter what user (root, non-root) and how many times. Timeout is hardly an issue here, as I can dual boot into F19 on the same machine, and RDP into it instantaneously.

Comment 18 Bojan Smojver 2018-05-18 01:55:25 UTC
Session may take longer to start on F26. Have you tried setting delay_ms to say 5000 in xrdp.ini for Xvnc stanza? Also, F19 comes with a different version of xrdp.

Comment 19 Bojan Smojver 2018-05-18 01:59:01 UTC
One other suggestion, have you tried a different desktop environment? From personal experience, I can only say that Gnome works. Other environments I did not try.

Comment 20 infove 2018-05-18 23:32:47 UTC
delay_ms makes no difference whatsoever.

No one will be willing to work with anything but Mate here.

Comment 21 Bojan Smojver 2018-05-19 01:25:35 UTC
(In reply to infove from comment #20)
> delay_ms makes no difference whatsoever.

Fair enough.

> No one will be willing to work with anything but Mate here.

My point was purely one of debugging. If another environment can start, then you should look at what may be going on with the Mate installation.

Comment 22 infove 2018-05-19 14:06:29 UTC
I will not touch gnome with a 10 foot pole, but I can confirm that KDE does not work either. It worked in F19, and since then something got broken and should be reverted.

Here's how you test your software: you spin up a new Fedora 26 VM, then you download a free Windows 7 VM from Microsoft at https://developer.microsoft.com/en-us/microsoft-edge/tools/vms/ and spin up a new Windows VM. 

In Fedora you run

dnf install -y xrdp
systemctl enable xrdp
systemctl disable firewalld
systemctl stop firewalld

Then you edit /etc/selinux/config and set SELINUX to `disable` and reboot.

Now you have a clean install of Fedora which has all ports open and no restrictions on xrdp service. At this point you enter the Windows VM and initiate an RDP connection to your Fedora's IP address.

Comment 23 Bojan Smojver 2018-05-19 14:12:53 UTC
I won't be attempting to fix anything in f26, which will be obsolete soon. But, from personal experience, I know that it used to work for me in that version when I was running it.

I'm out of ideas at this point. Maybe someone else can chime in with more suggestions.

Comment 24 Bojan Smojver 2018-05-19 14:39:49 UTC
A generic suggestion, you may want to try attaching to the various xrdp processes with strace while following forks. That may give you clues where the failure is occurring.

Comment 25 infove 2018-05-19 17:46:39 UTC
It's not working with F28 either, in exactly same way.

We wanted to migrate to F28 initially, but this and many other things are now broken, and F26 ended up having way fewer show-stopper bugs, so we decided to use that, and try to work through a few bug reports.

Comment 26 Bojan Smojver 2018-05-19 21:40:54 UTC
OK, when I find a bit more time, I'll try a fresh f28 install to see what's going on.

Comment 27 Bojan Smojver 2018-05-19 22:00:26 UTC
In the meantime, I'll post which files I have modified on my F28 VM (which I use daily for work - in fact, I'm logged in right now):

/etc/pam/xrdp-sesman --> using gdm-password entries instead of password-auth
/etc/xrdp/sesman.ini --> AllowRootLogin=false

The rest, according to rpm -qV xrdp, is not modified.

My VM is not configured to boot into graphical target, as per README.Fedora file. Instead I have instead multi-user.target.

Admittedly, this VM has been upgraded several times. So, no not a fresh install.

Comment 28 infove 2018-05-20 00:07:52 UTC
Upgrades should be fine, as netinstall image installs the most current packages.

Do your changes also apply to Mate spins? After Gnome 3 fiasco, no one here is interested in Gnome anymore and we do not have any users willing to use it. We used to have a few willing to use KDE, but it kind of followed Gnome 3 and it turned everyone off as well.

Comment 29 Bojan Smojver 2018-05-20 00:15:48 UTC
The readme file is based on my own experience, which is with gnome. But, yeah, other graphical sessions may interfere as well.

The other changes I listed are there to have correct session info in gnome and to prevent root logins. Of course, your pam settings and other stuff may depend on the desktop environment you have.

Comment 30 infove 2018-05-21 13:18:58 UTC
Bottom line is that xrdp is intended to not be DE sensitive and this should work across all DEs.

Comment 31 Bojan Smojver 2018-05-21 13:24:54 UTC
So, when you switch the system into multi user mode vs. graphical, it still doesn't work?

As for other DEs, I'll let others chime in, because I don't use them. This is open source, so any contribution is, of course, welcome.

Comment 32 infove 2018-05-24 00:09:24 UTC
I don't know if it works in init 3, as no one would be interested in that. There is ssh for 3.

Comment 33 Bojan Smojver 2018-05-24 00:12:11 UTC
(In reply to infove from comment #32)
> I don't know if it works in init 3, as no one would be interested in that.
> There is ssh for 3.

When you switch the system to multi user mode instead of graphical, your desktop will not start locally. But, xrdp will still give you GUI. So, no ssh is not the same thing.

PS. Some desktop environments, when started locally, will interfere with xrdp sessions.

Comment 34 infove 2018-05-26 01:05:05 UTC
I implanted the package from F19 to F26 and it works for me.

Comment 35 Ben Cotton 2019-05-02 21:42:19 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 36 Ben Cotton 2019-05-28 20:23:29 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.